Bug 1023907 - Window action key not working after Alt-`
Window action key not working after Alt-`
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 06:05 EDT by Tim Waugh
Modified: 2015-06-29 08:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:44:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2013-10-28 06:05:42 EDT
Description of problem:
Sometimes, after switching to another window of the same application, pressing the Window action key (e.g. Super) + an arrow key to maximise the window to the display has no effect.

Version-Release number of selected component (if applicable):
gnome-shell-3.10.1-1.fc20.x86_64
mutter-3.10.1.1-1.fc20.x86_64

How reproducible:
Sometimes.

Steps to Reproduce:
1.Start with e.g. two Firefox windows
2.Click to focus on one.
3.Super+Right to maximise on right-hand side of display
4.Alt+` to switch to the other Firefox window
5.Super+Left to maximise on left-hand side of display

Actual results:
The second window remains as it was.

Expected results:
Maximised to left hand side of display.

Additional info:
Sometimes this works, and sometimes it doesn't.
Comment 1 Florian Müllner 2013-10-28 08:31:21 EDT
(In reply to Tim Waugh from comment #0)
> Sometimes this works, and sometimes it doesn't.

When it doesn't work, can you still manually resize the window to half the screen width? If a window reports a miminum width that is bigger than that, tiling will be disabled.
Comment 2 Tim Waugh 2013-10-28 09:03:05 EDT
Yes. In fact, I can drag the window to the left edge to get it to maximise to the left side. It's only the keyboard shortcut that doesn't work.

Another data point: after clicking on the title bar of the window, the shortcut works. Perhaps it's some kind of window focus issue?
Comment 3 Tim Waugh 2014-02-10 08:06:06 EST
Another data point (as I'm still seeing this): simply clicking the mouse on the title bar of the already-active window makes Super+arrow actions work again.

How can I debug this?
Comment 4 Florian Müllner 2014-02-13 12:18:14 EST
(In reply to Tim Waugh from comment #3)
> Another data point (as I'm still seeing this): simply clicking the mouse on
> the title bar of the already-active window makes Super+arrow actions work
> again.
> 
> How can I debug this?

For a start, you could use Looking Glass[0] to confirm that global.display.focus_window points to the expected window.

[0] https://wiki.gnome.org/Projects/GnomeShell/LookingGlass
Comment 5 Florian Müllner 2014-02-13 12:25:47 EST
Oh, here's a pretty stupid idea - while the window-switch keybinding is "active" (popup showing/fading out), all other shortcuts are disabled. Maybe you are hitting super-left quickly enough to hit that time window? Does it work if you try again a moment later?
Comment 6 Tim Waugh 2014-02-14 05:51:20 EST
No, once it's not working it stays not working until I use the mouse to focus the active window.

Next time I see it I'll see what global.display.focus_window is.
Comment 7 Tim Waugh 2014-02-14 06:14:53 EST
Just happened. The windows affected are:

Evolution
Evolution message window

Usually it's Firefox that's affected, but in this instance I have a Firefox window open that *is* responding to Super+arrow. It's currently maximised-to-right.

I can Alt-Tab to Evolution (main window). When I do that, Super+arrow simply passes the arrow key through to the application (Super+Down advances to the next message in the list).

Same if I Alt-` to the Evolution message window, except that it isn't clear whether the arrow key is passed through to the application as there is nothing it would affect.

I have a few other windows open. Using Alt-Tab to select any of those, I can subsequently use Super+arrow window action successfully.

As a final test, not expecting it would have any effect, I used Super+Down on this Firefox window to unmaximise it. After doing this, and using Alt-Tab to get to the Evolution message window, Super+arrow keys worked successfully. Somehow, unmaximising Firefox managed to "unstick" the Evolution windows so that Window action keys would work on them again.

Hope you can make some sense of what might be causing this. (I can't!)
Comment 8 Tim Waugh 2014-02-14 06:15:47 EST
Oh, I never reported what global.display.focus_window said: the answer is that it shows the window that I expect it to be (verified with .get_title()).
Comment 9 Fedora End Of Life 2015-05-29 05:38:41 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 08:44:42 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.